Switch Desktop Mode corrupted settings

Bug #349519 reported by Scott Evans on 2009-03-27
444
This bug affects 49 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
desktop-switcher
Undecided
Unassigned
Nominated for Trunk by emacs
desktop-switcher (Ubuntu)
High
Unassigned
Jaunty
High
Unassigned
Karmic
High
Unassigned

Bug Description

When using the Switch Desktop Mode to swap from netbook to classic upon reboot GNOME desktop setting are not retained, in that all you end up with (classic) is just the desktop background image without the GNOME panels on the top & bottom of screen! essentially leaving you with a Xsession you can only use the right click options! Further to this if you insert a USB pen-drive that spawns nautilus you can then navigate to the Switch Desktop Mode binary to then reselect the netbook selection only again on reboot for the GNOME panel missing! Again if there is a utility that can help me provide further information please advise...

ASUS Eee PC 900

Neil J. Patel (njpatel) wrote :

Thanks for reporting this bug. When this problem occurs, could you please paste here the output of

gconftool-2 --dump /desktop/gnome/session

Thanks!

Changed in desktop-switcher:
status: New → Triaged

Please find attached files classic-before-reboot & classic-after-reboot

On Fri, 2009-03-27 at 11:43 +0000, Neil J. Patel wrote:

> Thanks for reporting this bug. When this problem occurs, could you
> please paste here the output of
>
> gconftool-2 --dump /desktop/gnome/session
>
> Thanks!
>
> ** Changed in: desktop-switcher
> Status: New => Triaged
>
> ** Changed in: desktop-switcher
> Product: Ubuntu Netbook Remix => desktop-switcher
>

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Thanks! desktop-switcher isn't putting "panel" in the required components list, which causes this issue. I'm working on a fix for this now.

Changed in desktop-switcher:
status: Triaged → In Progress

Cool Thanks !!! :)

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Okay, so I think I've fixed this and attached a new version of desktop-switcher for testing purposes.

Before you install it, though, we need to fix your existing set-up, so:

If you are in "netbook-mode", with broken panels, then please run this command:

gconftool-2 --set /desktop/gnome/session/required_components_list --list-type=string ["filemanager","panel"]

OR, if you are in "classic mode", please run this:

gconftool-2 --set /desktop/gnome/session/required_components_list --list-type=string ["filemanager","panel","windowmanager"]

After restarting, you should now have your panel loaded properly.

Then, please download the attached desktop-switcher.deb, and install using:

sudo dpkg -i desktop-switcher_0.4.3-1_i386.deb

and then start desktop-switcher as normal, switch modes, and hopefully you should always be left with the correct set-up.!

It may also help if you delete the ~/.confg/desktop-switcher folder, which may have a corrupted panel config in it.

Hopefully this should fix the problem for you!

Neil J. Patel (njpatel) wrote :

Woops,

the "netbook-mode" gconf command should be:

gconftool-2 --set /desktop/gnome/session/required_components_list --list-type=string ["windowmananger","panel"]

(I wish launchpad let you edit your comments!)

Neil J. Patel (njpatel) wrote :

dammit, made another mistake!

Netbook-mode should be:

gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel"]

Classic mode:

gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel","filemanager"]

I'm sorry but there's still some bad news! after applying the suggested
fix & install of replacement .deb

I'm now getting the following error when switching between classic back
to netbook...

An error occurred while loading or saving configuration information for
netbook-launcher. Some of your configuration settings may not work
properly. [details] Failed to connect configuration server; some
possible causes are that you need to enable TCP/IP networking for the
ORBit, or you have stale NFS locks due to a system crash. See
http://projects.gnome.org/gconf/ for information. (Details - 1: Could
not send message to gconf daemon: Message did not receive a reply
(timeout by message bus)

To get things back to a working desktop unfortunately I have to delete
all relevant configuration from my /home :(

Never fear! I like to help out with just this kind of problem so I'm
sure a logical solution will prevail !!!

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

I think that happened because your config became corrupt with the previous issues. Could you try these debs again now that you have a clean gconf directory (be sure to remove ~/.config/desktop-switcher).

Hi... I'll get to this tomorrow and get back to you...

On Mon, 2009-03-30 at 10:23 +0000, Neil J. Patel wrote:

> I think that happened because your config became corrupt with the
> previous issues. Could you try these debs again now that you have a
> clean gconf directory (be sure to remove ~/.config/desktop-switcher).
>

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Ok further to my previous... I have done a reinstall & update then applied the suggested fix .deb but unfortunately I still have the same error and condition... But what I've done this time is to install it onto a SDHC card leaving the SSD untouched (with Easy Peasy) So I'll be able to acquire any config files from the /home for further analysis... Please advise what information you will require...

Scott Evans (vk7hse) wrote :

Another test I have just done was to test the current version in the Ubuntu Netbook Remix Team PPA (0.4.2~ppa1) this is used in EasyPeasy 1.1rc2 and it too suffers the same issue. :(

Neglected to mention that Easy Peasy is remix of ubuntu intrepid. So the
bug is not just Jaunty related!

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

I can confirm in Ubuntu Jaunty Netbook Remix Beta that the new .DEB solved the problem. I just deleted:

~/.confg/desktop-switcher

after the corruption mentioned in the bug.

JoiHap (astronomy) wrote :

After reboot, the desktop was corrupted again, so ignore my last comment.

Neil J. Patel (njpatel) wrote :

I'm really confused and concerned about this bug. I can't reproduce it with the latest desktop-switcher, and I've been testing for over a week :-/.

Rui, when you say "corrupted", do you mean that the gnome-panel configuration is screwed up?

I think that in addition to removing ~/.config/desktop-switcher, it may be an idea (when you are in "netbook-mode"), to run:

gconftool-2 --recursive-unset /apps/panel

and reboot. This will restore all the panel gconf keys to the default settings, and hopefully fix your issue. If that doesn't work, then try moving .gconf and .gconfd somewhere (make sure you back them up first), and reboot. This means that your system will be have all the default settings, and although it's a pain, at least it will start to work again.

Hmm... I really don't know! I have followed all suggestions as well and
even the new desktop switcher is still the same for me in that when the
classic desktop is selected upon reboot or logout you are just left with
no panels :(

So what config files are used for this? as I can send you the ones that
leave the desktop in an un-usable state...

maybe this is just an issue on the ASUS 701SD (?) please advise so I can
forward to you the relevant files...

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Neil, by corrupted I meant:

* gnome-panel does not load (Only the ubuntu netbook remix menus are available )
* windows are not maximized and are only loaded in a small percentage of the screen size

(I'm on a fresh install right now. I will test the new deb later on since I need a working environment)

I too am just currently reinstalling to start a fresh!...

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Scott Evans (vk7hse) wrote :

Sorry no joy on a fresh install including all current updates (at time
of writing!) the desktop-switcher still leaves classic without
panels :(

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

That's unfortunate. I did a new install this morning and did the following test, please let me know if you've done anything different:

1. From the default install, start desktop-switcher and switch to Classic Mode
2. Reboot and see if panels are available
3. Start desktop-switcher and switch back to Netbook Mode,
4. Reboot and see if panels are available

I did this many times and everything works as expected. Can you please attach to the bug report the output of

gconftool-2 --dump /apps/panel
gconftool-2 --dump /desktop/gnome/session

Thanks!

Hey don't fear... that's what this whole process is for! I'll do some
further testing in the morning and post the results for you...

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Ok after some time If managed exactly the same result each time :( here
are the files for each session (classic & netbook)

To make it easier for me I had setup 2 accounts so I didn't mess up mine!

please find the attached files for your review... thanks!

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Thanks for the log files Scott, it seems that the setting of the new required_components list get's screwed up in gconf.

I have a new version of the switcher attached, could you please try that with a new test user and see if the same problem occurs?

Ok I've installed the updated desktop-switcher and I wish I could report
some good news but unfortunately again I still have the same issue :(

for some really strange reason the gconftool-2 --dump /apps/panel yielded
no output (?) I'll do some further investigation here me thinks!

please find the attached file for hopefully some further insight!

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Scott Evans (vk7hse) wrote :

Ok got the missing info! please find attached files...

The error was from switching from classic back to netbook!

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Damn :(. Did you try the new switcher on a new test user, or the one that was already messed up? I'm going to build a version of desktop-switcher that explicity sets the components, but the gconf issue worries me...

Neil J. Patel (njpatel) wrote :

The attached switcher explicitly sets the components list in gconf, which should stop components going missing :)

To test properly (and to eliminate any other possibilities), could you please do the following:

1. Create a new user for testing and log in as user (don't use fast-user-switch as the launcher can't run like that)
2. Verify that the user has the standard UNR netbook-mode setup
3. Run `sudo dpkg -r --force-all desktop-switcher` to remove the current desktop-switcher and all it's config files
3.1 Run `rm -rf ~/.config/desktop-switcher`, which should fail saying that the directory doesn't exist
4. Install the attached desktop-switcher package via `sudo dpkg -i desktop-switcher_0.4.4-1ubuntu2_i386.deb`
5. Open a terminal and run `desktop-switcher`, switch to classic mode (and please save the output)
6. Logout and log back in to the test user. Verify that panels are present. If not, please attach the panel and session gconftool-2 --dump output
7. Once again, please run `desktop-switcher` in a terminal, and switch back to netbook-mode. Once again, please save the console output of desktop-switcher.
8. Log-out/log-in to the test user and please verify that the panels are still there.

Thanks again for the time your putting into this :)

New user and the updated desktop-switcher (0.4.4-1)

On Thu, 2009-04-09 at 14:12 +0000, Neil J. Patel wrote:

> Damn :(. Did you try the new switcher on a new test user, or the one
> that was already messed up? I'm going to build a version of desktop-
> switcher that explicity sets the components, but the gconf issue worries
> me...
>

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Scott Evans (vk7hse) wrote :

Ok will do first thing in the morning! it's 00:42 here and the eye lids
are heavy! ;)

On Thu, 2009-04-09 at 14:26 +0000, Neil J. Patel wrote:

> The attached switcher explicitly sets the components list in gconf,
> which should stop components going missing :)
>
> To test properly (and to eliminate any other possibilities), could you
> please do the following:
>
> 1. Create a new user for testing and log in as user (don't use fast-user-switch as the launcher can't run like that)
> 2. Verify that the user has the standard UNR netbook-mode setup
> 3. Run `sudo dpkg -r --force-all desktop-switcher` to remove the current desktop-switcher and all it's config files
> 3.1 Run `rm -rf ~/.config/desktop-switcher`, which should fail saying that the directory doesn't exist
> 4. Install the attached desktop-switcher package via `sudo dpkg -i desktop-switcher_0.4.4-1ubuntu2_i386.deb`
> 5. Open a terminal and run `desktop-switcher`, switch to classic mode (and please save the output)
> 6. Logout and log back in to the test user. Verify that panels are present. If not, please attach the panel and session gconftool-2 --dump output
> 7. Once again, please run `desktop-switcher` in a terminal, and switch back to netbook-mode. Once again, please save the console output of desktop-switcher.
> 8. Log-out/log-in to the test user and please verify that the panels are still there.
>
> Thanks again for the time your putting into this :)
>
> ** Attachment added: "desktop-switcher_0.4.4-1ubuntu2_i386.deb"
> http://launchpadlibrarian.net/25113037/desktop-switcher_0.4.4-1ubuntu2_i386.deb
>

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Scott Evans (vk7hse) wrote :

Getting closer! below is a description of attached files...

netbook-classic is the requested capture

netbook-classic.png is a screen capture after logout/login

classic-netbook is the 2nd requested capture

error.png is the error presented after switch

classic-netbook.png is a screen capture again after logout/login

The only other thing to note was that when I made the switch from
netbook to classic, I did make two launchers on the desktop just in-case
the panels weren't there! they didn't get restored after the
logout/login...

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Scott Evans (vk7hse) wrote :

He he I have an itchy send button!

however, the launchers are present when desktop-switcher is used again!
and then were present after logout/login (?) mabe just a one off?

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

I installed Ubuntu 9.04 NBR on my Asus Eee PC 701 yesterday and switched to Classic Desktop, as Netbook Desktop has painfully slow response. Rebooted and now I am left with just a background and no panel. Could someone please advise on either how to apply this fix or at least how to switch back to Netbook Desktop? The problem is that because I don't have panel, I have no idea on how to apply this.

Thanks

right click and create a folder on the desktop then double click on the
new folder (spawns nautilus)to navigate to /usr/bin/desktop-switcher
then you can reset back to the netbook default.

to get you back to usable and if have nothing important on your Eee...
then just delete...

.config
.gconfd

should get you back to a usable system!

On Mon, 2009-04-13 at 07:28 +0000, mobile wrote:
> I installed Ubuntu 9.04 NBR on my Asus Eee PC 701 yesterday and switched
> to Classic Desktop, as Netbook Desktop has painfully slow response.
> Rebooted and now I am left with just a background and no panel. Could
> someone please advise on either how to apply this fix or at least how to
> switch back to Netbook Desktop? The problem is that because I don't have
> panel, I have no idea on how to apply this.
>
> Thanks
>

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Thanks for the reply Scott. What is the consequences of deleting .config .gconfd?

 Any customising of GNOME returns back to default is all...

On Mon, 2009-04-13 at 11:42 +0000, mobile wrote:

> Thanks for the reply Scott. What is the consequences of deleting .config
> .gconfd?
>

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

mobile (carlleach) wrote :

Confirmed that below works.

Also confirmed that fresh install of Ubuntu 9.04 NBR and installation of
desktop-switcher_0.4.4-1ubuntu2_i386.deb prior to trying to switch works.

Scott Evans wrote:
> right click and create a folder on the desktop then double click on the
> new folder (spawns nautilus)to navigate to /usr/bin/desktop-switcher
> then you can reset back to the netbook default.
>
> to get you back to usable and if have nothing important on your Eee...
> then just delete...
>
> .config
> .gconfd
>
> should get you back to a usable system!
>

Neil Is there any further information your require for this or do you have all that you need?

Neil J. Patel (njpatel) wrote :

Scott, could you just confirm whether the last switcher build here works for you when switching between modes, and your panels/windows are present after log-out/log-in?

Hi Neil... Yes it did :)

On Tue, 2009-04-21 at 09:29 +0000, Neil J. Patel wrote:
> Scott, could you just confirm whether the last switcher build here works
> for you when switching between modes, and your panels/windows are
> present after log-out/log-in?
>

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

I can confirm that the last switcher build here also works for me. Previous to this I was experiencing the same bug as Scott originally reported.

Neil J. Patel (njpatel) wrote :

Awesome! I'll roll a release of desktop-switcher and try and get an SRU asap. Thanks again for helping to fix this!

Neil J. Patel (njpatel) on 2009-04-21
Changed in desktop-switcher:
status: In Progress → Fix Committed

I had the same issue, and i think that there is still something wrong :
1. fresh install
2. sudo dpkg -r --force-all desktop-switcher
    rm -rf ~/.config/desktop-switcher
    sudo dpkg -i desktop-switcher_0.4.4-1ubuntu2_i386.deb
3. reboot
4. switch to classic
5. reboot

The panel/windows are OK, but... no Desktop; I mean I can see the wallpaper, but no right click, no folders or icons.

Something is still missing.

Neil J. Patel (njpatel) wrote :

/me curses the day they decided to change the way the session worked in gnome :)

@rationalperseus, can you run `nautilus` in a terminal to see if that restores your desktop? If it doesn't, then could you run:

gconftool2 --set /apps/nautilus/preferences/show_desktop --type BOOL true

from a terminal and try running nautilus again?

mobile (carlleach) wrote :

Seems to be some inconstancies in behaviour here. I did the same as rationalperseus, with the only difference being I installed desktop-switcher_0.4.4-1ubuntu2_i386.deb from a memory stick I had it saved on, by double clicking in nautilus, and it worked ok for me.

rationalperseus wrote:

I had the same issue, and i think that there is still something wrong :
1. fresh install
2. sudo dpkg -r --force-all desktop-switcher
    rm -rf ~/.config/desktop-switcher
    sudo dpkg -i desktop-switcher_0.4.4-1ubuntu2_i386.deb
3. reboot
4. switch to classic
5. reboot

The panel/windows are OK, but... no Desktop; I mean I can see the wallpaper, but no right click, no folders or icons.

Something is still missing.

Running nautilus from a terminal restores it.

Strange behaviour :).

But.... after a reboot same situation.

It just needs to start Nautilus from terminal to restore it (running it from shortcut doesn't help).

Neil J. Patel (njpatel) wrote :

Yeah :) The filemanager entry is missing from your session startup, run this to fix (this is what the package fixes too, but if it was already missing, then it doesn't help):

gconftool-2 --set /desktop/gnome/session/required_components_list --list-type=string ["filemanager","panel","windowmanager"]

After:

gconftool-2 --set /desktop/gnome/session/required_components_list --type=string ["filemanager","panel","windowmanager"]

Desktop still missing, and more:

nautilus started from terminal doesn't help any more.

Closing Nautilus started from terminal, a process in terminal continues with the message:

Nautilus-Share Message: unknown format for key 'public/usershare_acl' as it contains 'Everyone:F,'. Assuming that share is read-only.

Until you leave the terminal pending (don't force/close the window), the Desktop works.

I hope it helps.

Never mind. The message was related to the shared folder, but anyway until the terminal keeps running the process (nautilus), the desktop works, but the terminal window freezes. If you close the terminal window, the issue is still there.

Another thing - the command was:

gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel","filemanager"]

Well, solved. I don't know what exactly I did, but today after another reboot (and upper command which has no typos) everything just works. Everything.

Good job guys.

summary: - Switch Desktop Mode corrupted settings (ASUS Eee PC 701SD)
+ Switch Desktop Mode corrupted settings
Robbie Williamson (robbiew) wrote :

I was having this same issue with my ASUS EeePC 900. However, the problem went away after following the steps from comment #28, which including updating to desktop-switcher_0.4.4-1ubuntu2_i386.deb.

Robbie Williamson (robbiew) wrote :

Added the following to the 9.04 Release Notes:

== Missing GNOME Panels in Ubuntu Netbook Remix After Using desktop-switcher Application ==

When using the Switch Desktop Mode option to swap from netbook to classic, the GNOME desktop settings are not retained after a logout. Upon logging back in, users receive just the desktop background image, without the GNOME panels on the top & bottom of screen. This problem will be fixed in a post-release update soon (see bug 349519).

Changed in ubuntu-release-notes:
status: New → Fix Released
emacs (mm-emacs) wrote :

I'm dying to try this - I have had the same problem with latest UNR (ok from last week) on my EeePC 901. On to my third reformat and reinstall and each time had the same problem.
Will check this tonight and report.

emacs (mm-emacs) wrote :

Unfortunately no luck at all.
New install of latest release 9.04
Instructions above give various errors:

sudo dpkg -i desktop-switcher_0.4.4-1ubuntu2_i386.deb
FILE NOT FOUND

gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel","filemanager"]
VALUE REQUIRED

Tried to download all updates - nothing there.
:-( :-(

Still issues with desktop switching. Also you lose the ability to resize windows (along with the top-right corner "close" "x" button) - try for example the calculator. The desktop size becomes smaller than the screen.....too many bugs.

I'm just a newbie here but this is too hard (spend 2 days carried out at least 6 format/rebuild cycles). Will try getting the full ubuntu version installed instead.
To other newbies with this problem - good luck!!!

Scott Evans (vk7hse) wrote :

emacs, the package you are missing can be found at... http://launchpadlibrarian.net/25104954/desktop-switcher_0.4.4-1_i386.deb

Ahmed Hamed (ahmedhamed88) wrote :

I am also suffering from this issue and could not really solve it without a clean install. I don't think releasing the netbook remix while suffering from this bug was a good idea. Users sure won't like having a non functioning desktop just because they changed the desktop mode. Now any jaunty image will be suffering from this unless it is updated with a fix.

Neil J. Patel (njpatel) wrote :

Hi guys, I've got one more package for testing. This builds on the previous one to explicitly set the components list for both modes. This enables you to fix a broken install by firing up desktop-switcher and then switching back to any of the modes (and from then on, of course, it won't be broken).

If you could test the attached packaged, I'll work on getting the right people looking at this bug again for an SRU.

Peachy (peachy66) wrote :

that works for me. im new on the scene here, a complete newbie but that works for me. hopefully it will for you guys as well, i knowits a worry. i was crapping myself yesterday when it happened to me :).
best of luck to you all

I was pointed here by my post in Ubuntu Forums: http://ubuntuforums.org/showthread.php?t=1139314

I have an Eee 900 Celeron. I was afflicted by both this bug and 349314. I've already installed the fix for 349314 and addressed speed issues.

I've installed the DEB listed here: https://bugs.edge.launchpad.net/desktop-switcher/+bug/349519/comments/59 (comment 59) without running any of the commands previously listed.

It seems to have solved my login desktop problems! Everything works and switches back and forth properly. I still have the error listed in https://bugs.edge.launchpad.net/desktop-switcher/+bug/349519/comments/8 (comment 8) after switching to full desktop and back to netbook desktop.

Error cleared up with this: https://bugs.edge.launchpad.net/desktop-switcher/+bug/349519/comments/16 (comment 16).

Ran:
gconftool-2 --recursive-unset /apps/panel

Rebooted.

Fixed. All good now!! Thanks!

marc (ookmarc) wrote :

Installed the 0.4.6 package on my Acer Aspire One +9.04 netbook - This fixes the issue there as well.
Thanks,

now moving on to the sdhc hotplug bug.

 Installed on EEE PC 4G Surf and EEE PC 701. No swap partition, home on 8 GB SDHC.

Both fully functional, all hardware operational, no issues if you update the system right after the installation, and before even trying to switch. Switching after update to 0.4.4.1 works. Switching with the 0.4.6 version works in any case.

I didn't experience any other bug (yet). We'll see with the next one. Good work.

dome (ildome) wrote :

Fix works for me (acer aspire one 110l)
Thanks!

dome (ildome) wrote :

... but I have the error yet:
http://launchpadlibrarian.net/22982248/Screenshot.SwitchDeskpng

tried this:
gconftool-2 --recursive-unset /apps/panel
and rebooted, but didn't help.
(acer aspire one 110l with jaunty, full updated, fresh installation)

wessel_k (wessel) wrote :

I have the same issue as dome. Still getting the gconf daemon error. Is there anything I can do to help?

Regards,

Adam Sargant (adam-sargant) wrote :

I've just installed the remix on my Asus Eee 1000 H and have the same bug as described here. I downloaded a fresh install of the remix img file only yesterday (29th April) from http://www.ubuntu.com/getubuntu/download-netbook, and on switching desktop to classic, on reboot I'm left with a bare desktop background without Gnome panels. Seems a shame for a non beta release. Any signs that this will be resolved?

Michael Fox (mfox-trentu) wrote :

I experienced the same bug on my MSI Wind U100 last night. Fortunately I found this bug report, but it still took me some 2 hours to recover, trying all the various suggestions and rebooting. In the end, I got recovery typing the command: gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel"] while in netbook mode. I have also installed the updated desktop-switcher file provided by Neil, but ran out of steam last night. I'll try it tonight and report back. Thanks to Scott for reporting this bug, and Neil for putting all this effort into coming up with a recovery and for issuing a fix.

after upgrading to 9.04 my desktop will not display so now I can not use the computer , even to repair or fix this problem. On staartup where as to press Esc, I did so and used recovery and repair but to no luck. I write this now grom friends computer. I can not reload from an earlier cd, because it will not read my cd. it will from a floppy so if you can help me I will check email latter for a fix to this Thanks

Michael Fox (mfox-trentu) wrote :

I can confirm that desktop-switcher 0.4.6 works on my MSI Wind.

fine so how to use this desktop switcher now I tried these command lines to no such luck here!

--- On Thu, 4/30/09, Michael Fox <email address hidden> wrote:

From: Michael Fox <email address hidden>
Subject: [Bug 349519] Re: Switch Desktop Mode corrupted settings
To: <email address hidden>
Date: Thursday, April 30, 2009, 6:50 PM

I can confirm that desktop-switcher 0.4.6 works on my MSI Wind.

--
Switch Desktop Mode corrupted settings
https://bugs.launchpad.net/bugs/349519
You received this bug notification because you are a direct subscriber
of the bug.

Michael Fox (mfox-trentu) wrote :

Charles, from your previous message, it isn't clear that desktop-switcher has caused your problem. It sounds like you tried to upgrade an older version of Ubuntu to 9.04, and for some reason, the installation went badly and took out your x-window. If I am correct, this is not a good thread from which to ask for advice and you should either go to the Ubuntu forum or find a launchpad bug similar to yours. If I have misunderstood and your problem started from trying to use desktop-switcher in a Ubuntu 9.04 Netbook Remix installation, then changing the version of desktop-switcher won't in itself, make your menubar or gnome panel come back. I actually tried almost every suggestion in this thread, including the deletion of .gconfd and .config folders. What finally brought back my menubar and panel was the command I noted a few responses ago:

gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel"]

but it might have worked in combination with the things I did earlier.

Well when I reported this problem , this is where it took me . I thought that was where it went , desktop switcher , I have no idea it was not except this was the page it posted to. Here is my screen shot I took with a digital camera. Good thing I have more than one computer in home.
And this is the next os for me to go to , so I did not upgrade from an older os I had last 8.10 .

donisewell (donisewell) wrote :

I registered here just to be able to post this comment. I don't know much about what you guys are saying. Most of it is a little to technical for me ( I just started using the terminal the other day) but I was having the same problem that was posted at the top of this thread. All I could see of my desktop was the wallpaper and any folders i had on the desktop. I thought I was screwed so I scrolled all the way down to see if there was a solution yet and I found Michael Fox's command there and decided to give it a try. Now my machine is back to normal and I don't think I'll be trying to switch back to UNR interface for a while. Thank you so much Michael!

Adam Sargant (adam-sargant) wrote :

In follow up to my earlier post, I can happily confirm that a fresh install of Ubuntu Netbook Remix 9.04 followed by an update of the system followed by installing Neil's desktop-switcher_0.4.4-1ubuntu2_i386.deb package has seemingly removed the problem. At least I can use the classic desktop with no problems so far, so thank you Neil, much applause :-). Seems strange that your package hadn't made into the faulty Remix distribution by the 29th (when I downloaded it), Indeed when I installed the package I received the ironic advice that an older version existed in the repositories and I would be advised to install that, as it would be better supported! Would have thought that Canonical would want to erase the embarrassment as soon as... ho hum

(happy netbook user)

gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel"]
I type all this in and it says unrecognizable
is it to be in steps coz it don' show that. now i only goes to grub when I ask for command it does same things here. What a nightmare!
remember mine does not go to desktop so I have to learn to do command from "esc" on start up.
I have no desktop to make adjustments . when it goes to desktop it appears scrambled, even if I place the hard drive into another older computer . no panels not keyboard use and no mouse!

Michael Fox (mfox-trentu) wrote :

donisewell wrote 21 hours ago: (permalink)
.... I thought I was screwed so I scrolled all the way down to see if there was a solution yet and I found Michael Fox's command there and decided to give it a try. Now my machine is back to normal and I don't think I'll be trying to switch back to UNR interface for a while. Thank you so much Michael!

I'm glad my posting helped you but I can't take credit for the solution. The command that did the trick was posted earlier in this bug thread by Neil Pattel and I just repeated it to try to help someone else (who unfortunately has a different problem).

rdsherwood (ron-sherwoodsweb) wrote :

I can confirm that desktop-switcher_0.4.6 seems to have resolved the problem on an EEEPC 900A. Thank you, Neil!!

I am getting another error when I switch from Classic back to NBR. It says: "An error occurred while loading or saving configuration information for netbook-launcher. Some of your configuration settings may not work properly" and under Details it says "Failed to contact configuration server; some possible causes are that you need to enale TCP/IP networking for ORBit, or you have stale NFS locks...". Any idea if this is related to the switching problem discussed herein, and any suggestions on how I might go about resolving it?

Thanks again for everyone's help!

Ron

Cowboy (andrew-by) wrote :

I also had the same message. But the launcher seemed to work normal.

HTD (ralphthedog) wrote :

After repeatedly going through all of the proposed solutions I have the gnome panel back on my 9.04 UNR Eeepc900's classic desktop, but neither windowmanager or filemanager menus? NBR desktop functions/appears normal?

How the heck do I get my menus back??

I got the above error message switching back to UNR after deleting all of the gnome config type folders I could think of, but only the once.

HTD

Ned Wolpert (ned-wolpert) wrote :

I have the same issue as HTD, though it seems that I'm still in 'maximus' mode... had to switch back to the UNR mode.

vrull (vrull) wrote :

I can confirm that the solution worked for me.
Netbook - Asus EEE PC 701 4GB SSD.
I installed a new .deb from
https://bugs.edge.launchpad.net/desktop-switcher/+bug/349519/comments/59
and run
gconftool-2 --recursive-unset /apps/panel, then rebooted. The result was that nothing changed.
So I issued
gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel"]
and again
gconftool-2 --recursive-unset /apps/panel

This helped.

The temporary solution to get computer working when there is neither task bar nor windows decorator presented, is to switch to Classic mode then back to Netbook mode.

Pete Myers (petemyers) wrote :

Just to record my experience with this bug:

Acer One with a fresh install of Jaunty UNR image (i.e. lpia) downloaded 2nd May.

1) I switched to desktop classic, switched back to unr (all in the same session), and got the same error recorded by Scott Evans above:
An error occurred while loading or saving configuration information for
netbook-launcher. Some of your configuration settings may not work
properly. [details] Failed to connect configuration server; some
possible causes are that you need to enable TCP/IP networking for the
ORBit, or you have stale NFS locks due to a system crash. See
http://projects.gnome.org/gconf/ for information. (Details - 1: Could
not send message to gconf daemon: Message did not receive a reply
(timeout by message bus)

2) Rebooted, but UNR loaded without the Gnome panel, and without window decorations (this last bit, I haven't seen in any other comments - but i haven't read them all).

3) switching to desktop classic, and back to unr, gave me some buggy functionality with the UNR, I could see the panels, and window decorations were drawn, but windows weren't drawing properly.

4) In UNR, I tried turning on moderate desktop effects (Preference->appearances->effects tab). Because the window decorations bugs looked like a compiz related bug from about 2 years ago. This didn't help.

5) In UNR, deleted ~/.confg/desktop-switcher (for newbies: use "rm -r ~/.confg/desktop-switcher" from command line)

6) Ran the command from above: "gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel"]"

7) Finally, reinstalled desktop-switcher: "sudo apt-get install --reinstall desktop-switcher"

8) Remembered the desktop effects, and turned them off again.

Currently UNR is working, and the bugs have gone. I've rebooted once, and everything loaded fine with no problems. Not sure if every step above is necessary... but it's exactly what I did.

ronnie (ronnie-nfg) wrote :

I have an Asus 901, and installed UNR 9.04 today. Had the same bug.

Solved with the previous steps 5 and 6, then reboot.
So:
- switch to commandline with Alt-F1
- logged in as my normal user
- removed the configurationfolder: "rm -r ~/.confg/desktop-switcher"
- run this command: "gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel"]"
- reboot: problem solved
- another reboot: still all the panels

I have not switched back to the Netbook mode.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktop-switcher - 0.4.6-0ubuntu1

---------------
desktop-switcher (0.4.6-0ubuntu1) karmic; urgency=low

  * New upstream release.
    - Fixes corrupting settings on switch. (LP: #349519)

 -- Steve Kowalik <email address hidden> Wed, 06 May 2009 18:06:12 +1000

Changed in desktop-switcher (Ubuntu Karmic):
status: New → Fix Released
Andy Kenney (ajkenney2000) wrote :

I beg to differ with the Launchpad janitor above..... There is still one item in this bug that I can't seem to fix.

I'm using the Intrepid (8.10) version of UNR on my HP Mini 1000. The same problem happened to me as others above. (BTW, thanks to Neil Patel for your hard work in getting a fix out.) Using a combination of procedures above (https://bugs.edge.launchpad.net/desktop-switcher/+bug/349519/comments/16 and https://bugs.edge.launchpad.net/desktop-switcher/+bug/349519/comments/85), I got my classic desktop functioning correctly again, complete with panels.

The problem is, when I switch back to the UNR desktop, I still have the upper and lower panels from the classic desktop. Going back through the procedures above, I can't see anywhere where this problem was reported or addressed. Can anyone help me? I'd really like to get the UNR desktop working right again as it's what I use most often.

Thanks in advance!

bouligab (bouligab) wrote :

When I try to install desktop-switcher_0.4.6, I get this message:

Error: Dependency is not satisfiable: libgtk2.0-0

(with Gdebi 0.3.13)

Problem is, libgtk2.0-0 is installed, if Synaptic is to be trusted... I know this is probably another bug, but can't determine of what type or where it belongs.

Andy Kenney (ajkenney2000) wrote :

bouligab,

I have the same problem but, I'm using UNR on Ubuntu 8.10 Intrepid. My libgtk2.0-0 is version 2.14, the dependency is for version 2.16.

Are you using Intrepid or Jaunty??

I hope that somebody can produce the new desktop-switcher so it can be installed on legacy versions of Ubuntu. The only reason I don't upgrade to Jaunty is because of this bug:

https://bugs.launchpad.net/netbook-remix/+bug/318942

As soon as that's fixed, I'm upgrading.

Good luck!

bouligab (bouligab) wrote :

I'm using Easy peasy on a eee 701, which is based on 8.10. But I got
libgtk2.0-0, not an earlier version.

Good luck!

2009/5/13 Andy Kenney <email address hidden>

> bouligab,
>
> I have the same problem but, I'm using UNR on Ubuntu 8.10 Intrepid. My
> libgtk2.0-0 is version 2.14, the dependency is for version 2.16.
>
> Are you using Intrepid or Jaunty??
>
> I hope that somebody can produce the new desktop-switcher so it can be
> installed on legacy versions of Ubuntu. The only reason I don't upgrade
> to Jaunty is because of this bug:
>
> https://bugs.launchpad.net/netbook-remix/+bug/318942
>
> As soon as that's fixed, I'm upgrading.
>
> Good luck!
>
> --
> Switch Desktop Mode corrupted settings
> https://bugs.launchpad.net/bugs/349519
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Changer le monde, ce n'est pas une mode ou un passe-temps: c'est une
nécessité.

Karen Crummins (crummins) wrote :

Newbie here. Just wanted to report that installing the deb pkg fixed the menu problem on my eee 1000, too. I also had the problem afterwards of the desktop not displaying icons, not allowing you to save on it, etc, but the gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel","filemanager"] command fixed that up. Thanks to all who helped! I thought I was doomed to using the Netbook Desktop mode forever...

Yuioup (mghaoui) wrote :

I solved it. You can reproduce the behavior:

1. Create a new user.
2. Switch to "Ubuntu Classic"
3. Add "nautilus" to the startup programs.
4. Log out, log back in.
5. Everything works fine.

My suggestion to fix this bug is:

Add nautilus to the list of standard startup programs for all users.

Spyd (ferran77) wrote :

I had the same problem. I'm using an Acer Aspire One model AOA 110-ab, and using the final version of Ubuntu netbook remix 9.04, installed from an USB pen.

This is what I have done to fix the problem:
I installed desktop-switcher_0.4.6_i386.deb, (tried changing desktop modes a few times, the same results).
Then I tried the `gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel","filemanager"]` command, that almost worked for me.
Now I can change (and retain after a reboot) between classic and netbook, but in netbook mode the panel at the top right of the screen (where the network icon and the clock is) does not appear, even after a reboot.

Only one more thing. I don't know if is really related, but when I change from netbook to classic, a error dialog flashes without giving time to read it, and then changes to classic mode just fine.

Changed in desktop-switcher (Ubuntu Jaunty):
importance: Undecided → High
status: New → Triaged
Steve Kowalik (stevenk) wrote :

I have uploaded desktop-switcher 0.4.4-0ubuntu1.1 to jaunty-proposed that adds a patch that corrects this issue. Attaching the debdiff.

heidipj (heidipj) wrote :

Hi there - I'm a new user. I've got the desktop-switcher problem too! I have a Acer Aspire One running Ubuntu's Netbook Remix. (I have tried several lots of instructions from above but am a little confused at this point as things are only half working for me.)

Are there step by step instructions at this point for newbies in how to revert to working classic desktop? Thank you everyone for the support!

Martin Pitt (pitti) wrote :

Accepted desktop-switcher into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in desktop-switcher (Ubuntu Jaunty):
status: Triaged → Fix Committed
tags: added: verification-needed
Orbital_sFear (orbital-sfear) wrote :

I installed the patch and rebooted. I removed my working around of running gnome-panel and gnome-wm on boot and sadly, in netbook mode, no panels. This patch might fix in classic mode, however my netbook mode still seems to be broken.

Paul Larson (pwlars) wrote :

I tested this on my netbook and successfully switch from UNR mode to classic mode. However, when I tried to switch back, I got the "error occurred while loading or saving configurating information..." described in comment #8 above. It did appear to work though, despite the error.

This was from a fresh install, that I updated, then installed all the proposed updates on. I'm also attaching the .xsession-errors file.

Holger Mayer (holger-mayer) wrote :

Switching between netbook mode and classic mode works on my Asus Eeepc 1000H works...

... but sometimes the folder ~/.gconfd/apps/panel/ disappears. After re-loggin the panel is reseted to the system default configuration. Everyone who don't have such a default config ends with a deleted panel... :-(

Another strange behavior has the hard-coded theme "Human-Murrine-Netbook" in the executable file desktop-switcher. After switching the window configuration tries to change to the non-existing theme "Human-Murrine-Netbook" and complains about. (This theme is not installed on my Netbook).
 I think it's not a good idea to hard-code themes and other user stuff into the desktop switcher.

John Hart (jlhart68) wrote :

I just encountered the problem. I now have no panels in either the netbook remix or the classic. Actually all I have is a plain screen with one file on it. I cannot shutdown with out using the power key and holding it forever.

I am using Ubuntu 9.04 Jaunty NR

So what is the fix?

John Hart (jlhart68) wrote :

Additional: the computer is an Acer Aspire ONE with 1.5 GB RAM, 120 GB HD, bilingual keyboard (yuk). The computer came with Limpus Lite, which was not what I likes so I went to Ubuntu 8.10, and later upgraded to 9.04. Until this problem (bug), 9.04 has been the best version yet.

John Hart (jlhart68) wrote :

I have tried manyu of the "fixes" but I still have the problem of no Gnome panel.

Again I am asking what is the fix?

Vasily (vasily-aa) wrote :

The fix that was mentioned before helped me.

1) Press Ctrl+Alt+F1 - that will bring up console
2) enter your login and password
3) enter this command (that's one big line, no line breaks): gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel","filemanager"]
4) reboot your computer (by entering "sudo reboot")

Followed your "fix" exactly. I still have no panel and my applications
(like Firefox) are smaller and can't be resized.

Any other suggestions short of reinstalling 9.04?

Vasily wrote:
> The fix that was mentioned before helped me.
>
> 1) Press Ctrl+Alt+F1 - that will bring up console
> 2) enter your login and password
> 3) enter this command (that's one big line, no line breaks): gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel","filemanager"]
> 4) reboot your computer (by entering "sudo reboot")
>
>

Orbital_sFear (orbital-sfear) wrote :

Simple fix works for me.

Goto Preferences -> startup programs
Add 2 new entries:
1. /usr/bin/gnome-panel
2. /usr/bin/gnome-wm

Reboot.

Vasily (vasily-aa) wrote :

Also, if you don't mind losing your config, you can delete .config and .gconfd folders from your home.

John Hart (jlhart68) wrote :

OK, I am back in business, I added Orbital_sFear"s suggestion and now I
have my panel back.

Question: If I switch desktop mode will the problem reoccur or is it
now repaired to work?

Vasily wrote:
> Also, if you don't mind losing your config, you can delete .config and
> .gconfd folders from your home.
>
>

The version in jaunty-proposed solves the problem associated with this bug. I also was able to use it to fix a desktop that was previously corrupted by the old desktop-switcher (use d-s to corrupt desktop, login to corrupted desktop, use gnome-terminal to install the new version, use gnome-terminal to run d-s, switch to other layout and back ... problem solved).

Orbital_sFear (orbital-sfear) wrote :

With my fix/workaround I can freely transition from classic to Netbook mode without a hang up.

Steve Kowalik (stevenk) wrote :

Can everyone who is suggesting fixes or workarounds please stop doing so, so that people can test the version of desktop-switcher that is available in jaunty-proposed and we can get it pushed into jaunty-updates?

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to do that.

Paul Larson (pwlars) wrote :

I had previously posted receiving an error when trying to switch after the update, but that everything appeared to be working correctly. After the reboot, then switching back to netbook launcher mode, I lost the top bar again. Fix did not appear to work for me.

Martin Pitt (pitti) on 2009-06-11
tags: added: verification-failedd
removed: verification-needed
tags: added: verification-failed
removed: verification-failedd
Paul Larson (pwlars) on 2009-06-12
tags: added: ubuntu-unr
Ostien (ostiencf) wrote :

I tried the proposed update of desktop-switcher from the proposed repositories (Ubuntu Netbook Remix jaunty) and it didn't work, in fact it made it worse. My problem before this was that on reboot the top panel would not be there and I would have to use the desktop-switcher to go to the normal desktop then back to the netbook desktop and it would be fixed (except I'd have to re select my theme every time).
The proposed update made it worse as in it when I first booted from it it was the same so I did the switch and switch back and it had not effect and now all the window decorations were gone as well so I rebooted but then there was no desktop panels at all *gasp* I got into a terminal and reverted that update and now I'm back to my functional but gimpy setup.

tl;dr the proposed update does not work and is in fact more wonky.

Ostien (ostiencf) wrote :

Orbital_sFear's workaround solution of adding...
/usr/bin/gnome-panel
/usr/bin/gnome-wm
...to startup programs

worked for my problem

matbos (matbos-hotmail) wrote :

I had had the same problem
And now i try to correct it

I installed desktop-switcher_0.4.6 besides ubuntu say it is old.

And now i ad gnome-panel and gnome-wm to correct my problem.

It correct not every all .

my panel at the bottom is here but i can't retrieve my application when i reduce
And i dont't have the icon desktop at the bottom left.

an other problem
in panel on top right i don't have any icon besides icon extinction

thank's

sorry for bad english i'm french

matbos (matbos-hotmail) wrote :

where is that ~/.confg/desktop-switcher

and i make in terminal

gconftool-2 --recursive-unset /apps/panel in classic ubuntu

and now i have the top panel of unr in ubuntu classic

help me please

Tony (aqk) (aqk) wrote :

 BUG IS STILL THERE.
 At present (June 23/2009) On a ASUS 9 Netbook, I have my Ubu 9.04 completely up-to-date- all upgrades have been applied.
Now-
   If I open it in the "netbook" menu mode, and then switch to "Classic, it is OK.

But If I switch to "classic" and then restart in Classic mode,
   the desktop will come up with no top or bottom menus. But, my changed wallpaper is OK. And desktop icons, including terminal and desktop-switcher that I have added, are available,.
But NO MENUS WHATSOEVER.

Then, I either do a Ctl-Alt-Del F2, sign in and run a desktop-switcher, -OR-
 -On the desktop, I have conveniently added a 'desktop-switcher" icon.
 - I click the icon once to switch it from a no-menus "classic" to the Netbook menu (ugh!) and then-
 - I Use the switch desktop (I have added it to my favorites) and then switch back to "classic" mode.

   Classic is then OK!

  It is annoying, but it works.
When, WHEN is a fix for this feshlugginer bug gonna be forthcoming??

Ricky Wong (rwong48) wrote :

I just ran into this bug also.

Fresh install of ubuntu-9.04-netbook-remix-i386.img on my Asus EEE 1000HA and applied all updates.

Then I switched over to Classic mode and rebooted. Panels were gone. Alt+F2 doesn't work so I had to make a desktop shortcut to gnome-terminal to do stuff (including launching gnome-panel).

I hope it gets fixed soon.. it has been a while and it has probably annoyed other people more than it has annoyed me.

evan s (powerpotatoe) wrote :

The attached file "desktop-switcher_0.4.4-1ubuntu2_i386.deb" worked for me on my Dell Latitude C640. Thanks! The Netbook Remix desktop did not work to my liking at all. I searched for some time for a solution. Thanks for all of your guys' help.

Hi there. _0.4.6 seems to work for me (eeePC 900, using 9.04), but I had to switch back and forth once betweent the two modes to get it right.

Martin Pitt (pitti) wrote :

setting back to confirmed, since apparently not fixed yet

Changed in desktop-switcher (Ubuntu Jaunty):
status: Fix Committed → Confirmed
assignee: nobody → Steve Kowalik (stevenk)
Paul Larson (pwlars) on 2009-07-21
Changed in desktop-switcher (Ubuntu Karmic):
importance: Undecided → High
mrconkerd (mrconkerd) wrote :

After much confusion, I have everything back to normal, aside from one small issue. After installing the desktop-switcher 0.4.6.deb, I have the problem of UNR interface going down sporadically. I noticed that i am running the i686 platform and the desktop switcher .deb is configured for a i386 platform. Could this be the cause of the aforementioned issue? I have had to alt+F1 to access applications.

mrconkerd (mrconkerd) wrote :

Additionally, I have noticed that as the UNR interface goes down, it is caused by the desktop switcher permitting the system to switch back into desktop mode. When I use the switcher to switch back to UNR, I am able to use everything, and normality is restored until it switches back... However I do get the same error message as rdsherwood and cowboy above.
"An error occurred while loading or saving configuration information for netbook-launcher. Some of your configuration settings may not work properly" and under Details it says "Failed to contact configuration server; some possible causes are that you need to enale TCP/IP networking for ORBit, or you have stale NFS locks...".

Dell Mini 9 with jaunty

komvic (komvic-gmail) on 2009-08-06
description: updated
mrconkerd (mrconkerd) wrote :

Since my previous posts, i have learned that my home partition does display correctly in the UNR mode and upon mousing over it, the system automatically switches to desktop mode without windows panels. Any help with the issue?

Elton Woo (elton-woo) wrote :

I feel reasonably certain that i have not encountered this bug until yesterday, when several installs resulted the same way: switching to standard mode from netbook, and upon reboot, I lose both top and bottom panels and can only right click on the desktop. As such, I cannot even open a console, let alone get to a menu.

The problem is consistent: at one install I switched desktop mode *before* installing any updates, and another time, I did the switch after the most recent updates [06 AUG 09] were received from the channel and installed.

... hence my QUESTION:
how soon may one reasonably expect a fix to be in the updates channel?

I only intend to run Jaunty on my Asus EEE 1000 PC, but not Karmic or any unstable / development code. I would really like to switch to the desktop mode, but am willing to wait until a fix is out ... if it's not too long a wait...

sachin (sachin-khartude) wrote :

solution worked out for me Eee PC 900 (sequentially what i did):
changed to normal desktop - restart - no panel desktop - right click create new folder - go to folder - search in 'file system' for UNR launcher (sorry i dont remind the path) - change to UNR desktop - go to synaptic 'unmark' UNR desktop or launcher - restart - no desktop panel - go to folder - go to /usr/share/applications - open "Panel" (icon with small arrow and foot print) - restart - everything is very fine ..

Elton Woo (elton-woo) wrote :

@sachin:
Thank you.
What is the name of the UNR launcher executable? I re-installed the (defualt) Xandros distro, and I was thinking of installing either EEEbuntu or Easy Peasy, but since both of these are based on ubuntu, I suspect that the problem might exist across these variations of the distro.

Elton Woo (elton-woo) wrote :

@sachin:
This is very strange. I had printed up your suggestions, and was about to follow the directions. Guess what?
I had NO NEED to do so.

NOTE: Machine: ASUS EEE 1000 PC

1) I had re-installed the [ASUS] Xandros distro, after reading your post, I did a CLEAN install of Jaunty 9.40 NBR from my SD card.
2) Once the system initially booted, I went to my system preferences and switched to desktop mode.
3) Select "REBOOT" and stepped away from the machine to read the rest of my emails on my Macintosh.

To my surprise I went back to the Asus and found that I had the standard desktop.

To VERIFY, I selected reboot again. sat and *watched* the machine, and it came up again _as it should_: NO MISSING PANELS or menus.

      *** I had NO NEED to follow your workaround. ***

INSTALL METHOD: Manual,
/dev/sda partitioned as follows: 7 Gb [ext3] mount point / , swap at end of partition 1 Gb
/dev/ sdb 32 Gb [ext3] mount point /home

/REM: This was done before installing any additional applications, or downloading the latest updates.
Code on the machine is the default from the NBR image file as provided from Ubuntu.

/ REM: I *know* that I had previously installed / re-installed the 9.10 NBR a couple of times, and each time I was able to switch desktop modes without Bug 349519 ever rearing its ugly head on my Asus.

/REM: The only difference in past installs was that _THIS TIME_ I had initially installed Jaunty 9.10 NBR _without_ a SWAP partition.

Hence:
/dev/sda [ext3] mount point /
/dev/sdb [ext3] mount point /home

        !!! This was the only (and first) time that I encountered Bug 349519 on my Asus EEE 1000 PC. !!!
Previous installs never exhibited this problem, even after constant upgrades from the update channel, or installation of third party applications ... including the bug fix for Pidgin (bug: not connecting to Yahoo).

Tony (aqk) (aqk) wrote :

There is a fix for this (as explaned above! -
 desktop-switcher_0.4.6_i386.deb (38.2 KiB, application/x-debian-package)
  I still have not gotten around to installing it

AFAIK, this problem only happens if you shutdown/restart whilst in "Classic" mode.

I have a workaround as posted - it has worked on all three of my Ubuntu 9.04 eee netbooks.

 Follow these instructions:

 .Add a 'desktop-switcher" icon. on the "classic" desktop, either with the top and bottom trays, or with just the "blank background" desktop,
  When clicked, it will invoke the desktop-switcher routine.

 Then you can do as follows:
If before re-booting, you have forgotten to switch the desktop from classic back to the "netbook" mode, the screen after rebooting will have no top or bottom trays!
So....do as I do:

  1. I click the switch-desktop icon once to switch it from the no-menus "classic" mode that has no top or bottom trays, to the Netbook menu
and then-

  2. Use the switch desktop (I have added it to my favorites) to switch back to "classic" mode.

   Classic is then OK! i.e. it has the top and bottom trays.
  It is annoying, but it works.

  If you switch BACK to Netbook desktop before you do a re-start/shutdown all the above machinations need not be performed.

   -Tony

Elton Woo (elton-woo) wrote :

@ Tony:
/begin quote

There is a fix for this (as explaned above! -
 desktop-switcher_0.4.6_i386.deb (38.2 KiB, application/x-debian-package)
  I still have not gotten around to installing it

AFAIK, this problem only happens if you shutdown/restart whilst in "Classic" mode.

/end quote

       **I beg to differ**:

First of all, I did the switch to "Classic" *AND* rebooted _without_ switching back.
Since doing so, I have turned off the machine and done a cold boot (a few hours later)

I DO have the default launchers at the top and bottom of the screen. HOWEVER: I do not get any icons on the desktop when I mount my drives (fixed partitions, USB stick(s), SD card, or external DVD/ CD writer.

e.g. I used to have a picture on the desktop. *Now*, if I go to Places => Home => Pictures, I can copy and paste the photo to the "Places" Desktop. The photo / icon shows up in the file browser (desktop) but when I actually go to the desktop itself, the photo icon does not show up!
Synaptic shows that I have this packaged INSTALLED:
desktop-switcher 0.4.4-0ubuntu1 ("latest version" AND "installed version")
also, I have already done a packages update, and desktop-switcher_0.4.6_i386.deb, apparently did not come down with the latest updates.

I guess I'll have to google it, manually install the package / version that you suggest, and report back.

while posting this, I found the package, but GDebi warns me:
"An older version is available in a software channel

Generally you are recommended to install the version from the software channel, since it is usually better supported."
so it's clear that this is not yet on canonical, correct?

proceeding with the install...

!! Thank you for the pointer to the newer package. !!

Elton Woo (elton-woo) wrote :

  Success at last! After Installing desktop-switcher_0.4.6_i386.deb, I rebooted, but still no desktop icons. A cold boot showed no change: I still had the top and bottom launchers, but no objects on the desktop: mounted disks, or the image file that I had copied in the file manager. I had a hairy moment when I went to the Preferences menu and chose to switch modes: I was able to switch to "netbook" , but when I attemped to switch back, the dialog box behaved very strangely:

At each click of the mouse the dialog would minimize to the upper LEFT of the screen, and then jump back. During this time the contents of the dialog were not legible, as part of the screen turned black. After a few tries I was finally able to select "classic" *THEN* find the "OK" button. some more flickering, and then I finally got back my desktop, this time INCLUDING icons of objects on the desktop and the mounted drives.

/REM I wonder if the refresh rate had anything to to with this. BEFORE installing the update, I had changed the display in my Asus EEE 1000 from 1024 x 600, 60 Hz (default) to 65 Hz.

Hopefully the newer package will be added to the updates channel to facilitate newer users.

Tony (aqk) (aqk) wrote :

Dear, dear Elton Woo-
 it is late Friday night; I have consumed copious amounts of wine, and alas, am all alone.
So I appear to be prisoner to your miserable bleatings.
 Let's take this off-line.

AFAIK the fix (0.4.6) as posted by Neil J. Patel back in June seems to work, after a fashion.
I would STRONGLY suggest that you convert to classic mode and STAY there, if.. IF you have applied the above 0.4.6.
The cursor, in Netbook mode, is still extremely jumpy. Who knows why?
My "classic" mode now looks,and more importantly, operates just like my desktop Ubuntu 9.04 systems. That's all I want.
These Mini-PC eee modes be damned!
And at this time of night, I have no intention of trying to debug the XML .. LOL!
Will advise you privately.

Elton Woo (elton-woo) wrote :

Sir, It is quite clear that I (may have) offended you. That was certainly
NOT my intention. As regards my "miserable bleatings"... I confess that i
tend to be verbose, but this comes from years of beta testing and assisting
newbies. I prefer to err on the side of "excess detail".

The bottom line is that i AM satisfied that you have pointed me to a
solution, and that it works. I regret that you took offense, and offer my
sincere apologies.... I wish you a vey good weekend.

wiith cordial and RESPECTFUL greetings from Montreal, Canada.

THANK YOU for your help. End of discussion.

On Fri, Aug 7, 2009 at 11:02 PM, Tony <email address hidden> wrote:

> Dear, dear Elton Woo-
> it is late Friday night; I have consumed copious amounts of wine, and
> alas, am all alone.
> So I appear to be prisoner to your miserable bleatings.
> Let's take this off-line.
>
> AFAIK the fix (0.4.6) as posted by Neil J. Patel back in June seems to
> work, after a fashion.
> I would STRONGLY suggest that you convert to classic mode and STAY there,
> if.. IF you have applied the above 0.4.6.
> The cursor, in Netbook mode, is still extremely jumpy. Who knows why?
> My "classic" mode now looks,and more importantly, operates just like my
> desktop Ubuntu 9.04 systems. That's all I want.
> These Mini-PC eee modes be damned!
> And at this time of night, I have no intention of trying to debug the XML
> .. LOL!
> Will advise you privately.
>
> --
> Switch Desktop Mode corrupted settings
> https://bugs.launchpad.net/bugs/349519
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Desktop Switcher: Fix Committed
> Status in Ubuntu Release Notes: Fix Released
> Status in “desktop-switcher” package in Ubuntu: Fix Released
> Status in desktop-switcher in Ubuntu Jaunty: Confirmed
> Status in desktop-switcher in Ubuntu Karmic: Fix Released
>
> Bug description:
> When using the Switch Desktop Mode to swap from netbook to classic upon
> reboot GNOME desktop setting are not retained, in that all you end up with
> (classic) is just the desktop background image without the GNOME panels on
> the top & bottom of screen! essentially leaving you with a Xsession you can
> only use the right click options! Further to this if you insert a USB
> pen-drive that spawns nautilus you can then navigate to the Switch Desktop
> Mode binary to then reselect the netbook selection only again on reboot for
> the GNOME panel missing! Again if there is a utility that can help me
> provide further information please advise...
>
> ASUS Eee PC 900
>

--
Elton Woo ~~ elton47 AT linuxmail.org OR elton.woo AT gmail.com ~~
TEL:514-824-6919.
       "You only live ONCE: let's make life BETTER for each other."

Tony (aqk) (aqk) wrote :

Grrr! I said-
" Let's take this off-line."

For the moment, Please use Neil Patel's 0.4.6 fix. It appears to work.
And - stick to "Classic mode" !
 - My opinion.

   ---- END of DISCUSSION ---

Elton Woo (elton-woo) wrote :

@Tony:
I hit reply, not realizing that your 'reply to' defaulted to this forum. Now that i manged to put my foot in my mouth. (hopefully) I might manage to take all ten toes back out! <*blush*>

Elton Woo (elton-woo) wrote :

I should know better to leave well enough alone: HOWEVER. old habits (as a beta tester) are hard to break.

... as a test, I reverted to "netbook" and got the following error:

/begin quote

An error occurred while loading or saving configuration information for netbook-launcher. Some of your configuration settings may not work properly.

Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details - 1: Could not send message to gconf daemon: Message did not receive a reply (timeout by message bus))

/end quote

/REM I wonder if this might relate to processor speed, since the intial reporte of this bug is using an Asus 900, whereas my machine is the newer Asus 1000. Hyperthreading is turned on by default in the BIOS.

When I booted back, the netbook interface was available, WITH the classic was also visible in the background. I easily reverted to the classic look. Now, though the 'compiz' toolbar which looks like the OS/X toolbar is now on the desktop behind the bottom launcher.

However, none of the icons in the 'compiz' toolbar work.

... taking my *own* advice: if it works, don't fsck with it! L0)

Saad Kamal (kamal-saad) wrote :

I have in installed the fix and tried to follow everything.

The Netbook remix view works perfectly...but when I switch to Classic, the top BAR stays as "Netbook remix" (the home button is not clickable though)

And there is no panel at the bottom and also no home button to access my programs..

How can I make this work?

Saad Kamal (kamal-saad) wrote :

I have added a screen shot of my current desktop in classic view.

As you can see, there is no bottom panel, and at the top bar, the button at the top left corner doesn't do anything. So I cant access my applications. When I open a window/browser and minimize it, it goes on top panel. (Like NBR view).

When I open terminal to switch back to the NBR using the desktop-switcher command -- i get the following errors --- but it does eventually take me to NBR view and everything works fine. My only problem is with the classic view..I just dont know why i cant have the old school classic view on my netbook, i definitely screwed up something which is causing this weird remix version of classic view (check screenshot).

Any help to restore my original classic view would be gr8tly appreciated.

saad@saad-netbook:~$ desktop-switcher
In classic mode: true
** (desktop-switcher:3755): DEBUG: Enabling netbook mode
** (desktop-switcher:3755): DEBUG: Enabling launcher autostart
** (desktop-switcher:3755): DEBUG: Launching the, er, Launcher
get fences failed: -1
param: 6, val: 0
** (netbook-launcher:3761): DEBUG: CONFIG: Low graphics mode: False
** (netbook-launcher:3761): DEBUG: CONFIG: Font dpi: 96.000000
** (netbook-launcher:3761): DEBUG: CONFIG: Font changed: Sans 10

** (netbook-launcher:3761): DEBUG: CONFIG: Connecting to ConsoleKit for suspend/resume restarting
** (desktop-switcher:3755): DEBUG: Restoring panel settings
WARNING: failed to associate schema `/schemas/apps/go-home-applet/prefs/icon_name' with key `/apps/panel/applets/applet_0/prefs/icon_name': Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details - 1: Could not send message to gconf daemon: Message did not receive a reply (timeout by message bus))
** (desktop-switcher:3755): DEBUG:
Restored panel configuration from: /home/saad/.config/desktop-switcher/netbook-panel-config.xml

** (desktop-switcher:3755): DEBUG: Removing nautilus from gnome session startup

** (desktop-switcher:3755): WARNING **: Failed to send buffer

** (desktop-switcher:3755): WARNING **: Failed to send buffer

** (netbook-launcher:3761): WARNING **: Failed to send buffer

** (netbook-launcher:3761): WARNING **: Failed to send buffer
saad@saad-netbook:~$ Cannot register the panel shell: there is already one running.
** (netbook-launcher:3761): DEBUG: PLACES: Volume Added: 66.4 GB Media /org/freedesktop/Hal/devices/volume_uuid_003C45DF3C45CFF8
** (netbook-launcher:3761): DEBUG: PLACES: Volume Added: 77.4 GB Media /org/freedesktop/Hal/devices/volume_uuid_A2F48F73F48F490D
** (netbook-launcher:3761): DEBUG: PLACES: Volume Added: PE /org/freedesktop/Hal/devices/volume_uuid_CCED_990E

On Monday 10 August 2009 17:20:36 Saad Kamal wrote:
> I have added a screen shot of my current desktop in classic view.
>
> As you can see, there is no bottom panel, and at the top bar, the button
> at the top left corner doesn't do anything. So I cant access my
> applications. When I open a window/browser and minimize it, it goes on
> top panel. (Like NBR view).
>
> When I open terminal to switch back to the NBR using the desktop-
> switcher command -- i get the following errors --- but it does
> eventually take me to NBR view and everything works fine. My only
> problem is with the classic view..I just dont know why i cant have the
> old school classic view on my netbook, i definitely screwed up something
> which is causing this weird remix version of classic view (check
> screenshot).
>
> Any help to restore my original classic view would be gr8tly
> appreciated.
>
>
> saad@saad-netbook:~$ desktop-switcher
> In classic mode: true
> ** (desktop-switcher:3755): DEBUG: Enabling netbook mode
> ** (desktop-switcher:3755): DEBUG: Enabling launcher autostart
> ** (desktop-switcher:3755): DEBUG: Launching the, er, Launcher
> get fences failed: -1
> param: 6, val: 0
> ** (netbook-launcher:3761): DEBUG: CONFIG: Low graphics mode: False
> ** (netbook-launcher:3761): DEBUG: CONFIG: Font dpi: 96.000000
> ** (netbook-launcher:3761): DEBUG: CONFIG: Font changed: Sans 10
>
> ** (netbook-launcher:3761): DEBUG: CONFIG: Connecting to ConsoleKit for
> suspend/resume restarting ** (desktop-switcher:3755): DEBUG: Restoring
> panel settings
> WARNING: failed to associate schema
> `/schemas/apps/go-home-applet/prefs/icon_name' with key
> `/apps/panel/applets/applet_0/prefs/icon_name': Failed to contact
> configuration server; some possible causes are that you need to enable
> TCP/IP networking for ORBit, or you have stale NFS locks due to a system
> crash. See http://projects.gnome.org/gconf/ for information. (Details - 1:
> Could not send message to gconf daemon: Message did not receive a reply
> (timeout by message bus)) ** (desktop-switcher:3755): DEBUG:
> Restored panel configuration from:
> /home/saad/.config/desktop-switcher/netbook-panel-config.xml
>
> ** (desktop-switcher:3755): DEBUG: Removing nautilus from gnome session
> startup
>
> ** (desktop-switcher:3755): WARNING **: Failed to send buffer
>
> ** (desktop-switcher:3755): WARNING **: Failed to send buffer
>
> ** (netbook-launcher:3761): WARNING **: Failed to send buffer
>
> ** (netbook-launcher:3761): WARNING **: Failed to send buffer
> saad@saad-netbook:~$ Cannot register the panel shell: there is already one
> running. ** (netbook-launcher:3761): DEBUG: PLACES: Volume Added: 66.4 GB
> Media /org/freedesktop/Hal/devices/volume_uuid_003C45DF3C45CFF8 **
> (netbook-launcher:3761): DEBUG: PLACES: Volume Added: 77.4 GB Media
> /org/freedesktop/Hal/devices/volume_uuid_A2F48F73F48F490D **
> (netbook-launcher:3761): DEBUG: PLACES: Volume Added: PE
> /org/freedesktop/Hal/devices/volume_uuid_CCED_990E
>
> ** Attachment added: "screen.png"
> http://launchpadlibrarian.net/30116656/screen.png

Elton Woo (elton-woo) wrote :

@Bart:
on other mailing lists, the directions to unsubscribe are generally or always in the message FOOTER.
However, I notice that the method is different here.
Running the browser on a 10" netbook screen one might easily miss it:
Look to the right of the screen (*your* right) ---
just above the list of subscribers, there is the "unsub" button.

HTH... <G>
respectfully,

stevebroome (fasttalker) wrote :

Hello. I am a newbie to Ubuntu & Linux. I am having the same problem as most in this forum. My problem is as follows: After a fresh install UNR on my Asus Eee Pc 901a, when i switch to classic desktop mode and reboot, I also lose all menu bars. When i switch back to Netbook Desktop, I have my desktop, but i do NOT have top menu bars and anything I launch is missing the "close (x)" button and most windows such as Firefox and other programs are not maximized.

My question is this:

I want apply the patch by Neil Patel (desktop-switcher_0.4.6_i386.deb (38.2 KiB, application/x-debian-package)

BUT, how do I do this. I am a beginner. Can somebody please give me step by step instructions on how to do this. Do I do this from the terminal? I really need step by step instructions from a pro.

Thanks so much to everybody for your help.

Steve Broome

I am not a Pro, but I will try to help. First make sure you have
installed "GDebi Package Installer" from the Add/Remove Applications menu.

Then down load to your desktop the patch.

Open the patch with GDebi Package installer. (right click on the file on
your desktop, it should default to open with the GDebi Installer).

I think then, you can reboot and try the switch again and it should work.

johnH

stevebroome wrote:
> Hello. I am a newbie to Ubuntu & Linux. I am having the same problem
> as most in this forum. My problem is as follows: After a fresh install
> UNR on my Asus Eee Pc 901a, when i switch to classic desktop mode and
> reboot, I also lose all menu bars. When i switch back to Netbook
> Desktop, I have my desktop, but i do NOT have top menu bars and anything
> I launch is missing the "close (x)" button and most windows such as
> Firefox and other programs are not maximized.
>
> My question is this:
>
> I want apply the patch by Neil Patel (desktop-switcher_0.4.6_i386.deb
> (38.2 KiB, application/x-debian-package)
>
> BUT, how do I do this. I am a beginner. Can somebody please give me
> step by step instructions on how to do this. Do I do this from the
> terminal? I really need step by step instructions from a pro.
>
> Thanks so much to everybody for your help.
>
> Steve Broome
>
>

John Hart (jlhart68) wrote :

More: also you might have to to the following:
>
> Goto Preferences -> startup programs
> Add 2 new entries:
> 1. /usr/bin/gnome-panel
> 2. /usr/bin/gnome-wm
>
> Reboot.
>
johnH

stevebroome wrote:
> Hello. I am a newbie to Ubuntu & Linux. I am having the same problem
> as most in this forum. My problem is as follows: After a fresh install
> UNR on my Asus Eee Pc 901a, when i switch to classic desktop mode and
> reboot, I also lose all menu bars. When i switch back to Netbook
> Desktop, I have my desktop, but i do NOT have top menu bars and anything
> I launch is missing the "close (x)" button and most windows such as
> Firefox and other programs are not maximized.
>
> My question is this:
>
> I want apply the patch by Neil Patel (desktop-switcher_0.4.6_i386.deb
> (38.2 KiB, application/x-debian-package)
>
> BUT, how do I do this. I am a beginner. Can somebody please give me
> step by step instructions on how to do this. Do I do this from the
> terminal? I really need step by step instructions from a pro.
>
> Thanks so much to everybody for your help.
>
> Steve Broome
>
>

Guy Stone (stoneguy3) wrote :

Add a "Me too" with a 900 and a fully updated 9.04.

Took installing desktop-switcher out of jaunty proposed, plus #142 info to set things right again. Thanks guys.

Hopefully there'll be an upgrade in the standard fixes for Intrepid before Karmic gets released. Will test in Alpha5 though.

Steve (ricojonah) wrote :

I'm not sure why, but this fixed my problem immediately (at least for my current session):

If possible, bring up a terminal and run
metacity --replace

I don't remember where I found this suggestion, but it worked for me.

Michael Baudino (gornack) wrote :

I want to confirm that 0.4.6 package seems to work for me.

My users are using Dell Inspiron Mini 10v with Ubuntu UNR (I reinstalled it over the Dell-customized UNR), and had that desktop-switcher problem.
When they came to me with their desktop stalled after trying to switch desktop mode, I just manually installed (dkpg -i) desktop-switcher_0.4.6, and entered 'gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel","filemanager"]', and it's working fine.

Thanks.

I've got UNR on a Dell Mini 9. The desktop switcher problem was resolved by just running 'gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel"]'. Didn't even have to install the posted desktop-switcher deb. Rebooted a bunch of times switching back and forth between netbook and classic and no problems.

Many thanks to Neil J. Patel for fixing this and to Scott Evans for reporting the bug.

This is really great...

Martin Pitt (pitti) wrote :

Since this is verification-failed, I removed the packge from -proposed:

2009-09-09 10:26:28 INFO Removing candidates:
2009-09-09 10:26:28 INFO desktop-switcher 0.4.4-0ubuntu1.1 in jaunty
2009-09-09 10:26:28 INFO Removed-by: Martin Pitt
2009-09-09 10:26:28 INFO Comment: failed SRU
2009-09-09 10:26:28 INFO 9 packages successfully removed.

This thread has a lot of different commands suggested? I'm confused. I have a brand new laptop Benq U101P, with a brand new install of NBR. All I did was use the desktop switcher, whilst in the gnome desktop I added a workspace switcher to the top bar/menu and 3 workspaces. Then came back into the NBR desktop, (the workplace switcher was not there, so am using the function keys to switch workspaces). I then went back into the gnome desktop and removed the workspace switcher and put everything in the top bar/menu to the standard setup. Went back to the NBR desktop. At this stage the NBR top bar/menu is still there. I shutdown the netbook and restarted.

BUG: No top bar/menu in NBR desktop.

Tried switching to the gnome desktop and back again, does not fix bug.

BUG: I get a very quick error window, that I don't have time to read ofter switching back to the NBR menu.

Grrr.

Paste this command in the terminal press enter, then restart, to fix the Ubuntu Netbook Remix Desktop Switcher bug.

gconftool-2 --set /desktop/gnome/session/required_components_list --type list --list-type=string ["windowmanager","panel"]

jenkinsororo (laurenberns3) wrote :

Hey! I just tried a few commands in terminal and My netbook got fixed. Thanks!

Paolo Sammicheli (xdatap1) wrote :

Hello,

I fall in BUG #453933 that i later marked duplicate of this because I solved with the same command suggested above.

The bad news is that there's a regression because I experienced it in 0.5.8 when i understand reading the comments above that 0.4.6 did soved it.

x@dellino:~$ apt-cache policy desktop-switcher
desktop-switcher:
  Installato: 0.5.8-0ubuntu2
  Candidato: 0.5.8-0ubuntu2
  Tabella versione:
 *** 0.5.8-0ubuntu2 0
        500 http://it.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

Let me know if you need more datails, my all configuration are attached to #453933

Greetings

Sebastian Geiger (lanoxx) wrote :

Hi, Bug 390001 could be a duplicate of this bug. Also Bugs:
#269292
#413385
which are duplicates of 390001.
Maybe bug 390001 should be marked a duplicate of this bug?

tags: added: iso-testing
tlz2000 (guland2000) on 2010-01-16
Changed in desktop-switcher:
status: Fix Committed → Fix Released
Changed in desktop-switcher:
status: Fix Released → In Progress
status: In Progress → Fix Committed
tlz2000 (guland2000) on 2010-01-19
Changed in desktop-switcher (Ubuntu Karmic):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) wrote :

please don't change bug statuses without explanation.

Changed in desktop-switcher (Ubuntu Karmic):
status: Fix Committed → Fix Released
Em (emilie-gaub) on 2010-03-03
Changed in desktop-switcher (Ubuntu Karmic):
assignee: nobody → Em (emilie-gaub)
assignee: Em (emilie-gaub) → nobody

Jaunty has reached end-of-life, so I'll close this report. The bug is marked as being fixed in later versions of Ubuntu

Changed in desktop-switcher (Ubuntu Jaunty):
assignee: Steve Kowalik (stevenk) → nobody
status: Confirmed → Won't Fix
LaunchPad (seimex) on 2011-11-04
Changed in desktop-switcher:
status: Fix Committed → Fix Released
Jeffrey LaPointe (slackguru) wrote :
Download full text (9.5 KiB)

It's not a laptop or netbook thing only. I'm running Precise on an older 32 bit Intel x86 machine and I'm not switching desktops. I use the UBUNTU login for the Unity desktop and have since I installed Precise. I find these errors:

Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2600003 (Archive Ma)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x260003f (Workspace )
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2600003 (Eclipse SD)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x26001e2 (Java - Ecl)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2602b3b (New Projec)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x26001e2 (C/C++ - Ec)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2605ce6 (New Projec)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x26001e2 (C/C++ - Ec)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x260727c (Delete Res)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x26001e2 (C/C++ - Ec)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
(gnome-shell:19705): Clutter-WARNING **: The meta of type 'StScrollViewFade' with name 'fade' is not attached to the actor 'StScrollView'
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2200003 (Eclipse SD)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2200310 (Java - Ecl)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a ...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions